package studio.junk.jam.coloritum.entities.components;

import com.badlogic.ashley.core.Component;
import com.badlogic.ashley.core.ComponentMapper;

public class MirrorComponent implements Component {

	public static final ComponentMapper<MirrorComponent> mapper = ComponentMapper.getFor(MirrorComponent.class);

	public static final float width = 0.05f;

	/**
	 * Defines how the mirror should be oriented
	 * <p>
	 * <code>NorthWest</code>: mirrors from north to west<br>
	 * <code>NorthEast</code>: mirrors from north to east
	 * </p>
	 * 
	 * @author marvin
	 */
	public static enum Orientation {
		NorthWest, NorthEast;

		public Orientation swap() {
			if (this == NorthEast)
				return NorthWest;
			else
				return NorthEast;
		}
	}

	public Orientation orientation;

	public MirrorComponent(Orientation orientation) {
		this.orientation = orientation;
	}
}
